#include "..\script_macros.hpp"
/*
    File: fn_returnVente.sqf
    Author: Joaquine
    Description :
    Tous est finalisé, Donc on dit au vendeur sont dut !
*/
params [
	["_ownerLast",objNull,[objNull]],
	["_vehicle",objNull,[objNull]],
	["_value",0,[0]]
];

// Recupere le nom du véhicule
_vehName = getText(configFile >> "CfgVehicles" >> (typeof _vehicle) >> "displayName");
// Demande si oui ou non il veux acheter
// Flic & Médic
if (playerSide in [west,independent]) exitWith {
	hint "Vous ne pouvez pas faire cette Action ....";
};
_action = [
        format ["%1 veux vous vendre son %2 pour %3$",name _ownerLast,_vehName,[_value] call life_fnc_numberText],
         	"Achat de véhicule",
        localize "STR_Global_Yes",
        localize "STR_Global_No"
] call BIS_fnc_guiMessage;
//Si oui
	//Check si assez de sous sur lui
	if (CASH < _value) exitWith {
		hint parseText format ["<t color='#f44141'>Vous n'avez pas assez de cash </br> Il faux %1$</t>",_value];
	};
if (_action) then {
	//Envoie info au vendeur
	[player,_vehicle,_value] remoteExecCall ["life_fnc_returnVente",_ownerLast];
	//Déduction cash + save
	CASH = CASH - _value;
	[0] call SOCk_fnc_updatePartial;
	//Ajout des clefs au porte clefs
	if (!(_vehicle in life_vehicles)) then {
		life_vehicles pushBack _vehicle;
		_dbInfo = _vehicle getVariable "dbInfo";
		_plate = (_dbInfo select 1);
		//Always handle key management by the server
		[getPlayerUID player,playerSide,_vehicle,1] remoteExecCall ["TON_fnc_keyManagement",2];
		//Envoie pour preparez la requete pour changer owner du véhicule en DB
		[_plate,(getPlayerUID player)] remoteExecCall ["DB_fnc_changeVehKey",2];

		hint parseText format ["<t color='42f456'>Vous voila propriétaire d'un : %1</t>", _vehName];
	};
} else {
	// Si non :
	hint format ["Vous n'avez pas acheté le: %1 de : %2", _vehName, name _ownerLast];
};

