#include "..\script_macros.hpp"
/*
    File: fn_venteVeh.sqf (Recuperé de fn_keyMenu.sqf)
    Author: Bryan "Tonic" Boardwine
    Modification : Joaquine
    Description :
    Permet de récupérer la liste des véhicules et des joueurs a proximité !
*/
giveTicketVente = {
    disableSerialization;
    private _display = findDisplay 57300;
    private _plist = _display displayCtrl 57302;
    private _vList = _display displayCtrl 57301;

    // Flic & Médic
    if (playerSide in [west,independent]) exitWith {
        hint "Vous ne pouvez pas vendre ce véhicule  ...";
    };
    //Récupération véhicle a proxi
    if ((lbCurSel 57301) isEqualTo -1) exitWith {hint localize "STR_NOTF_didNotSelectVehicle";};
    _sel = lbCurSel _vList;
    _vehicle = _vList lbData _sel;
    _vehicle = life_vehicles select parseNumber(_vehicle);
    //Check Unit a proxi
    if ((lbCurSel 57302) isEqualTo -1) exitWith {hint localize "STR_NOTF_didNotSelectPlayer";};
    _sel = lbCurSel _plist;
    _unit = _plist lbData _sel;
    _unit = call compile format ["%1", _unit];
    if (isNull _unit || isNil "_unit") exitWith {};
    if (_unit == player) exitWith {};
    if (parseNumber(ctrlText 57303) < 0) exitWith {hint "Rentrez un prix positif";};
    _name = name _unit;
    _dbInfo = _vehicle getVariable "dbInfo";
    _plaque = (_dbInfo select 1);
    _vehName = getText(configFile >> "CfgVehicles" >> (typeof _vehicle) >> "displayName");
    //Verif
    _value = parseNumber(ctrlText 57303);
    hint format ["Vous vendez votre : %1 \n Pour : %2 \n A : %3",_vehName,_value,_name];
    [player,_vehicle,_value] remoteExec ["life_fnc_receivedVeh",_unit];
    closeDialog 0;
};
[] spawn {
   disableSerialization;
        if (life_action_inUse) exitWith {};
        if (dialog) exitWith {};
        if (life_is_processing) exitWith {};
        life_action_inUse = true;
        _vehicleList = nearestObjects [player, ["Car","air"], 20];
        if (count _vehicleList < 1) exitWith {hint localize "STR_NOTF_VehicleNear";life_action_inUse = false;};
        if (!createDialog "life_venteVeh") exitWith {};
        [] spawn {waitUntil {!dialog}; life_action_inUse = false;};
        _display = findDisplay 57300;
        _plist = _display displayCtrl 57302;
        lbClear _plist;
        _near_units = [];
        { if (player distance _x < 20) then {_near_units pushBack _x};} forEach playableUnits;
        vehicleListVente = [];
        {
                    _vehData = _x getVariable ["vehicle_info_owners",[]];
                    if (count _vehData  > 0) then {
                        _vehOwner = ((_vehData select 0) select 0);
                        if ((getPlayerUID player) == _vehOwner) exitWith {
                            vehicleListVente pushBack [_x];
                        };
                    };
        } forEach _vehicleList;
        _control = _display displayCtrl 57301;
        lbClear _control;
        {
            _className = typeOf (_x select 0);
            _vehicleInfo = [_className]call life_fnc_fetchVehInfo;
            _control lbAdd (_vehicleInfo select 3);
            _control lbSetPicture [(lbSize _control)-1,(_vehicleInfo select 2)];
            _control lbSetData [(lbSize _control)-1,str(_x)];
            _control lbSetValue [(lbSize _control)-1,_ForEachIndex];
        } forEach vehicleListVente;

        {
            if (!isNull _x && alive _x && player distance _x < 20 && !(_x isEqualTo player)) then {
                _plist lbAdd format ["%1",_x getVariable ["realname",name _x]];
                _plist lbSetData [(lbSize _plist)-1,str(_x)];
            };
        } forEach _near_units;
        _Btn_Vendre = ((findDisplay 57300) displayCtrl 57304);
        _Btn_Vendre buttonSetAction "call giveTicketVente";
};
